---
updatedAt: 2026-05-27T10:04:31.000Z
agentTools:
  projectIndex: https://apidocs.aikido.dev/llms.txt
---

# Activate container

Activate container

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Aikido Security API documentation",
    "version": "1.0.0",
    "description": "This document outlines all available public API endpoints from Aikido",
    "termsOfService": "https://www.aikido.dev/policies/terms",
    "contact": {
      "name": "Support",
      "url": "https://www.aikido.dev",
      "email": "support@aikido.dev"
    }
  },
  "servers": [
    {
      "url": "https://app.aikido.dev/api/public/v1",
      "description": "Server located in Europe"
    },
    {
      "url": "https://app.us.aikido.dev/api/public/v1",
      "description": "Server located in the United States"
    },
    {
      "url": "https://app.au.aikido.dev/api/public/v1",
      "description": "Server located in Australia"
    },
    {
      "url": "https://app.me.aikido.dev/api/public/v1",
      "description": "Server located in the Middle East"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://app.aikido.io/api/oauth/token",
            "scopes": {
              "issues:read": "Read access to issue resources",
              "issues:write": "Write access to issue resources",
              "clouds:read": "Read access to cloud resources",
              "clouds:write": "Write access to cloud resources",
              "domains:read": "Read access to domain resources",
              "domains:write": "Write access to domain resources",
              "repositories:read": "Read access to code repositories",
              "repositories:write": "Write access to code repositories",
              "containers:read": "Read access to container repositories",
              "containers:write": "Write access to container repositories",
              "basics:read": "Read access to basic workspace information",
              "users:read": "Read access to user information",
              "users:write": "Write access to user information",
              "firewall:read": "Read access to Zen resources",
              "firewall:write": "Write access to Zen resources",
              "license:write": "Write access to licenses",
              "research:read": "Read access to public research data",
              "teams:read": "Read access to teams",
              "teams:write": "Write access to teams",
              "reports:read": "Read access to reports",
              "pentests:read": "Read access to pentests",
              "pentests:write": "Write access to pentests",
              "custom_sast_rules:read": "Read access to custom sast rules",
              "custom_sast_rules:write": "Write access to custom sast rules",
              "virtual_machines:read": "Read access to virtual machines",
              "task_tracking:read": "Read access to task tracking information",
              "task_tracking:write": "Write access to task tracking information",
              "licenses:write": "Write access to licenses",
              "bug_bounty:read": "Read access to bug bounty information",
              "bug_bounty:write": "Write access to bug bounty information",
              "code_quality:read": "Read access to code quality findings",
              "code_quality:write": "Write access to code quality findings",
              "webhooks:read": "Read access to webhooks",
              "webhooks:write": "Write access to webhooks",
              "endpoint_protection:read": "Read access to endpoint protection resources",
              "autofix:read": "Read access to autofix resources",
              "autofix:write": "Write access to autofix resources",
              "request_inbox:read": "Read access to user requests",
              "request_inbox:write": "Write access to user requests",
              "broker:read": "Read access to broker resources",
              "broker:write": "Write access to broker resources",
              "code_coverage:read": "Read access to code coverage results"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/containers/activate": {
      "post": {
        "operationId": "activateContainer",
        "summary": "Activate container",
        "description": "Activate container",
        "security": [
          {
            "oauth": [
              "containers:write"
            ]
          }
        ],
        "requestBody": {
          "description": "The parameters needed to activate a container",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "format": "Object",
                "title": "Activate container request body",
                "description": "",
                "required": [
                  "container_repo_id"
                ],
                "properties": {
                  "container_repo_id": {
                    "description": "The ID of the container repo",
                    "type": "integer"
                  }
                },
                "example": {
                  "container_repo_id": 1
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "The container has been activated.",
            "content": {
              "application/json": {
                "schema": {
                  "format": "object",
                  "properties": {
                    "success": {
                      "title": "success",
                      "type": "integer",
                      "description": "The integer 1 indicating success"
                    },
                    "was_already_activated": {
                      "title": "was_already_activated",
                      "type": "integer",
                      "description": "The integer 0 or 1 indicating whether or not the container was already active"
                    }
                  },
                  "example": {
                    "success": 1,
                    "was_already_activated": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```